#
# spec file for package switcheroo
#
# Copyright (c) 2025 mantarimay
# Copyright (c) 2024 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%define appid   io.gitlab.adhami3310.Converter
%define rurl    4a9a2f156d9b795415d518403decb59c
Name:           switcheroo
Version:        2.4.0
Release:        1.1
Summary:        Convert and manipulate images
License:        GPL-3.0-only
URL:            https://gitlab.com/adhami3310/Switcheroo
Source:         https://gitlab.com/-/project/41292464/uploads/%{rurl}/%{name}-%{version}.tar.xz
BuildRequires:  appstream-glib
BuildRequires:  blueprint-compiler
BuildRequires:  cargo-packaging
BuildRequires:  desktop-file-utils
BuildRequires:  meson
BuildRequires:  pkgconfig(gtk4)
BuildRequires:  pkgconfig(libadwaita-1)

%description
Switcheroo is designed to give you a simple, quick, and easy-to-use tool
to convert and manipulate your images in whatever way you like. It is
built on top of the most advanced image editing libraries, ImageMagick.

%lang_package

%prep
%autosetup

%build
%meson
%meson_build

%install
%meson_install

%find_lang %{name}

%files
%license COPYING
%doc README*
%{_bindir}/%{name}
%{_datadir}/%{name}
%{_datadir}/applications/%{appid}.desktop
%{_datadir}/icons/hicolor/*/apps/%{appid}*svg
%{_datadir}/glib-2.0/schemas/%{appid}.gschema.xml
%{_datadir}/metainfo/%{appid}.metainfo.xml

%files lang -f %{name}.lang

%changelog
* Sat Apr 19 2025 Muhammad Akbar Yanuar Mantari <mantarimay@pm.me>
- Update to version 2.4.0
  * rewrite naming logic to ensure no collisions or omission
  * add remove alpha when input does not support alpha but output
    does
  * put an arbitrary limit on 4M pixels for thumbnail generation
    and only load 10...
  * mark heic and heif as supports animation
  * check for gs and zip and let user know what's wrong gracefully
  * don't add images that already exist
  * add warning about unsupported files
  * simplify input formatting for magick command
* Mon Feb  3 2025 Muhammad Akbar Yanuar Mantari <mantarimay@pm.me>
- Update to version 2.3.1
  * Update runtime to GNOME 47.
  * Don't panic when opening image.
* Sat Jun 22 2024 Andrea Manzini <andrea.manzini@suse.com>
- Update to version 2.2.0
  * Update runtime to GNOME 46.
* Thu Mar 14 2024 Muhammad Akbar Yanuar Mantari <mantarimay@pm.me>
- Update to version 2.1.0
  * Support for saving images as a single PDF.
* Fri Nov 24 2023 Muhammad Akbar Yanuar Mantari <mantarimay@pm.me>
- Initial package
